/**
 * Дженерик тип добавляет тип null ко всем полям типа Т (рекурсивно)
 */
export declare type Nullable<T> = {
    [P in keyof T]: (T[P] extends {} ? Nullable<T[P]> : T[P]) | null;
};
/**
 * Заменяет все undefined значения на null
 * в объектах и массивах любой формы.
 * Метод проходит рекурсивно по всей структуре, например по массиву объектов
 * или по объекту, содержащему массивы или объекты.
 * @param item
 */
export declare function replaceUndefinedToNull<T extends object>(item: T): Nullable<T>;
