import { BusinessType } from "./label/business/types";
import { UAParser } from 'ua-parser-js';
import { Config } from './config';
import { IdentifyLabel } from './label/identify/identify';
import { Label } from './label/label';
import { UtmLabel } from './label/utm/utm';
import { Action, Context } from './tracking/track';
declare type App = {
    name: string;
    type: string;
    version: string;
};
/**
 * name - имя приложения
 * type - тип приложения
 * version - версия приложения в формате semver
 * httpUrl - url адрес для сохранения аналитики
 * websocketUrl - ws адрес для сохранения аналитики
 * @param app
 *
 * debug - выводить отладочную информацию
 * @param config
 */
export declare function init(app: App, config?: Partial<Config>): void;
/**
 * debugMode — turns on/off debug mode in runtime
 * @param isOn boolean
 */
export declare function debugMode(isOn?: boolean): void;
export declare function version(): string;
export declare function track(context: Context): void;
export declare function addLabel(label: Label | Label[]): void;
export declare function setUser(id: string, type?: string): void;
export declare function setPage(name: string, object?: {
    name: string;
    type: string;
}): void;
export declare function setUtm(utm: UtmLabel): void;
export declare function setBusiness(type: BusinessType, entity_id: string): void;
export declare function getAb(): Promise<Object>;
export declare function identify(): Promise<IdentifyLabel>;
export { App, Config, Label, Context, UtmLabel, Action, UAParser };
