import { LabelFactory } from "../factory";
import { LabelConfig } from "../label";
import { LabelCollection } from "../label-collection";
import { LocationLabel } from "./location";
import { GeoPayload } from './types';
declare class LocationFactory implements LabelFactory<LocationLabel> {
    static readonly slug = "location";
    private label;
    private pending;
    private isReady;
    private geoContext;
    init(collection: LabelCollection): Promise<void>;
    getLabel(): LocationLabel;
    getLabelConfig(): LabelConfig;
    updateLabel(label: LocationLabel): void;
    getBrowserLocation(): Promise<any>;
    getLocation(): Promise<LocationLabel>;
    getGeoContext(): Promise<GeoPayload>;
    private enrich;
}
declare const locationFactory: LocationFactory;
export { locationFactory };
