import { LabelFactory } from "../factory";
import { LabelConfig } from "../label";
import { LabelCollection } from "../label-collection";
import { VirtualDeviceLabel } from './virtual-device';
export declare class VirtualDeviceFactory implements LabelFactory<VirtualDeviceLabel> {
    static readonly slug = "virtualDevice";
    private label;
    private isReady;
    constructor();
    init(collection: LabelCollection): Promise<void>;
    getLabelConfig(): LabelConfig;
    getLabel(): VirtualDeviceLabel;
    updateLabel(label: VirtualDeviceLabel): void;
    private uaParser;
    /**
     * Возвращает данные по браузеру и движку
     */
    private getBrowser;
    /**
     * Возвращает закешированные данные по устройству.
     * Нужно в кейсах, когда пользователь на мобильном устройстве
     * открывает полноэкранный режим и этим меняет UserAgent
     */
    private getDevice;
    private getOs;
    private getAdBlock;
    private getTouchSupport;
    private isBot;
    private getScreen;
    private getConnection;
    private getData;
}
