export declare enum LogLevels {
    Debug = 0,
    Info = 1,
    Warn = 2,
    Error = 3
}
export interface GenericLogger {
    setLevel(level: LogLevels): any;
    log(level: LogLevels, message: string, data: any): any;
}
export declare class Logger implements GenericLogger {
    private channel;
    private level;
    private startTime;
    constructor(channel: string);
    setLevel(level: LogLevels): void;
    log(level: LogLevels, message: string, data?: any): void;
    private buildLine;
}
export declare const logger: Logger;
